Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027891
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Retail Configurationmajoralways2014-10-16 17:032015-03-30 17:39
ReporterlorenzofidalgoView Statuspublic 
Assigned ToOsmany 
PrioritynormalResolutionfixedFixed in VersionRR15Q2
StatusclosedFix in branchFixed in SCM revision9aecd7e4f5b8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Toaaroncalero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027891: "Set as default" role does NOT work properly in POS

DescriptionIn POS, go to Menu | User | Profile, selecting a role and setting it as default, doesn't work correctly.
Checking the backend, Login as Openbravo/openbravo and use "The White Valley Group" role. You can see that in User window, watching the specific user in form view (manualuser for example), in "More information" area, there is a field called "Default Role" and another one called "Defaul POS Role". None of them mandatory. When you select in POS menu "User" | "Profile" and you "Set as default" a role, that change is recorded in "Default Role" field, BUT when you enter to POS, the field that is used to assign you a role is "Default POS Role", so it is obviously wrong.
Even more, this "Default POS Role" lets you to choose roles that are not available to you in "User Roles" tab ("User" window | "User Roles" tab in backend).

I have reproduced this in RR14Q3 and RR14Q2
Steps To ReproduceTo have a user to test this:

n POS backend: [RR14Q4]
Login into ERP System:

"Username": Openbravo
"Password": openbravo
Change the role as “The White Valley Group Admin”

Navigate to User window (General Setup || Security || User)

Create a new record (Ctrl + D)

To create a new user, enter the below user details

Client: The White Valley Group
Organization: *
Name: manualuser
Username: manualuser
Password: openbravo
Click Ctrl + s to save the details

Then navigate to POS Terminal Access tab

Click Ctrl + D to add a new record

Then enter POS Terminal: CMS POS Terminal (This will depend on your terminal)
Click Ctrl + S to save the details


Navigate to Role window (General Setup || Security || Role)

Create a new record by clicking the hot keys Ctrl + D

To create a new user role, enter the below user details

Client: The White Valley Group
Organization: *
Name: Manual User Role
User level: Organization
Manual: Checked
Restricted Backend access: Checked
Click Ctrl + s to save the details

Then navigate to Org Access tab

Click Create one link to add new record

Organization: Central Mountains Store (This again depends on your terminal) (I will assume that you are using CMS-1 POS terminal)
Organization Administrator: No
Then navigate to User Assignment tab

Click Create one link to add new record

Then select below details

User/Contact: manualuser
Role Administrator: Unchecked
Then navigate to Form Access

Click Create one link to add new record

Then select below details

Special Form: Web POS
Click Ctrl + s to save the details


Go again to User window, select manualuser record and go to "User Roles" tab.
Create new record and add "the white valley group admin" role and set it as active.
Create new record and add "FranchiseValleyUser" role and set it as active.
(Now you should have 3 roles: "manual user role", "the white valley group admin" and "FranchiseValleyUser").

--

Now go to POS and log in as manualuser/openbravo.
Assuming that your default role is "Manual User Role", select in POS Menu | "User" | "Profile" and you select a role different than the one already recorded in the POS backend. For example, "The White Valley Group Admin", "Set as default" and apply it.
That change is recorded in "Default Role" backend field (In User window, more information area), BUT when you enter to POS, the field that is used to assign you a role is "Default POS Role".
For checking this fields, you must login POS backend as Openbravo/openbravo and use "The white valley group admin" as role. Then go to User window, choose the manualuser record and check "more information" area.
TagsNo tags attached.
Attached Filespng file icon POS.png [^] (159,813 bytes) 2014-10-16 17:03


png file icon POS Backend.png [^] (119,274 bytes) 2014-10-16 17:04

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029459 closedshivum039 Retail Modules tap function of OB.UI.ProfileDialogApply needs a hook to allow extending its functionality 
depends on feature request 0028933RR16Q1 closedRetail Retail Modules QA: RR15Q2: Add tests for Mobile applications 
related to defect 0027889 closeddmiguelez Openbravo ERP In POS, Menu | User | Role change does NOT work properly 

-  Notes
(0076034)
hgbot (developer)
2015-03-26 18:32

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9aecd7e4f5b8063a7480a04f74626899b9bc6856
Author: Osmany Garcia Machado <osmany.machado <at> peoplewalking.com>
Date: Thu Mar 26 11:32:02 2015 -0600
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9aecd7e4f5b8063a7480a04f74626899b9bc6856 [^]

Fixed issue 27891: 'Set as default' role does NOT work properly in POS.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
A src/org/openbravo/retail/posterminal/Profile.java
---
(0076103)
hgbot (developer)
2015-03-27 16:58

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 1d72ba25447b96111440c2b275b08f7c0ed6f51a
Author: Osmany Garcia Machado <osmany.machado <at> peoplewalking.com>
Date: Fri Mar 27 09:58:18 2015 -0600
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1d72ba25447b96111440c2b275b08f7c0ed6f51a [^]

Related to issue 27891: Change the year of license.

---
M src/org/openbravo/retail/posterminal/Profile.java
---
(0076153)
aaroncalero (developer)
2015-03-30 17:33

Tested and reviewed

- Issue History
Date Modified Username Field Change
2014-10-16 17:03 lorenzofidalgo New Issue
2014-10-16 17:03 lorenzofidalgo Assigned To => marvintm
2014-10-16 17:03 lorenzofidalgo File Added: POS.png
2014-10-16 17:03 lorenzofidalgo Triggers an Emergency Pack => No
2014-10-16 17:04 lorenzofidalgo File Added: POS Backend.png
2014-10-16 17:05 lorenzofidalgo Summary "Set as default" role does NOT work properly => "Set as default" role does NOT work properly in POS
2014-10-16 17:11 lorenzofidalgo Relationship added related to 0027889
2014-11-11 16:43 plujan version => main
2014-11-11 16:43 plujan Target Version RR14Q4 =>
2015-03-16 21:08 Osmany Assigned To marvintm => Osmany
2015-03-26 18:32 hgbot Checkin
2015-03-26 18:32 hgbot Note Added: 0076034
2015-03-26 18:32 hgbot Status new => resolved
2015-03-26 18:32 hgbot Resolution open => fixed
2015-03-26 18:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9aecd7e4f5b8063a7480a04f74626899b9bc6856 [^]
2015-03-26 20:50 Orekaria Relationship added depends on 0028933
2015-03-27 16:58 hgbot Checkin
2015-03-27 16:58 hgbot Note Added: 0076103
2015-03-30 17:33 aaroncalero Review Assigned To => aaroncalero
2015-03-30 17:33 aaroncalero Note Added: 0076153
2015-03-30 17:33 aaroncalero Status resolved => closed
2015-03-30 17:33 aaroncalero Fixed in Version => RR15Q2
2015-03-30 17:39 aaroncalero Relationship added related to 0029459


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker